dotnet-remove-reference(1)

dotnet remove reference

This article applies to: ✔️ .NET Core 3.1 SDK and later versions

NAME

dotnet-remove-reference - Removes project-to-project (P2P) references.

SYNOPSIS

    dotnet remove [<PROJECT>] reference [-f|--framework <FRAMEWORK>]
         <PROJECT_REFERENCES>
    dotnet remove reference -h|--help

DESCRIPTION

The dotnet remove reference command provides a convenient option to remove project references from a project.

ARGUMENTS

PROJECT

Target project file. If not specified, the command searches the current directory for one.

PROJECT_REFERENCES

Project-to-project (P2P) references to remove. You can specify one or multiple projects. Glob patterns (https://en.wikipedia.org/wiki/Glob_(programming)) are supported on Unix/Linux based terminals.

OPTIONS

•   -?|-h|--help

    Prints out a description of how to use the command.

•   -f|--framework <FRAMEWORK>

    Removes the reference only when targeting a specific framework using the TFM format.

EXAMPLES

•   Remove a project reference from the specified project:

        dotnet remove app/app.csproj reference lib/lib.csproj

•   Remove multiple project references from the project in the current directory:

        dotnet remove reference lib1/lib1.csproj lib2/lib2.csproj

•   Remove multiple project references using a glob pattern on Unix/Linux:

        dotnet remove app/app.csproj reference **/*.csproj`